# Copyright (C) 2026 benrowland
# This file is distributed under the GPLv3 or later.
msgid ""
msgstr ""
"Project-Id-Version: Bottle 0.2.7\n"
"Report-Msgid-Bugs-To: https://wordpress.org/support/plugin/bottle\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"POT-Creation-Date: 2026-04-24T22:41:23+00:00\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"X-Generator: WP-CLI 2.7.1\n"
"X-Domain: bottle\n"

#. Plugin Name of the plugin
msgid "Bottle"
msgstr ""

#. Plugin URI of the plugin
#. Author URI of the plugin
msgid "https://www.tecture.com"
msgstr ""

#. Description of the plugin
msgid "A simple bot throttling plugin"
msgstr ""

#. Author of the plugin
msgid "benrowland"
msgstr ""

#: admin/bottle-admin-utils.php:430
msgid "Pass"
msgstr ""

#: admin/bottle-admin-utils.php:433
msgid "PoW Exclude"
msgstr ""

#: admin/bottle-admin-utils.php:436
#: admin/class-settings.php:65
#: admin/ui-list-tables.php:130
msgid "Exclude"
msgstr ""

#: admin/bottle-admin-utils.php:439
#: admin/bottle-admin-utils.php:453
#: admin/bottle-admin-utils.php:456
#: admin/bottle-admin-utils.php:459
#: admin/bottle-admin-utils.php:462
#: admin/bottle-admin-utils.php:465
msgid "Throttle"
msgstr ""

#: admin/bottle-admin-utils.php:442
msgid "Block"
msgstr ""

#: admin/bottle-admin-utils.php:453
msgid "Request 404s"
msgstr ""

#: admin/bottle-admin-utils.php:456
msgid "IP Request Rate"
msgstr ""

#: admin/bottle-admin-utils.php:459
msgid "Session IPs"
msgstr ""

#: admin/bottle-admin-utils.php:462
msgid "Session Rate"
msgstr ""

#: admin/bottle-admin-utils.php:465
msgid "Session Overall"
msgstr ""

#: admin/bottle-admin-utils.php:468
#: admin/ui-list-tables.php:133
msgid "PoW"
msgstr ""

#: admin/bottle-admin-utils.php:468
msgid "Solved"
msgstr ""

#: admin/bottle-admin-utils.php:478
#: admin/ui-list-tables.php:127
#: admin/ui-list-tables.php:154
#: admin/ui-list-tables.php:206
msgid "IP"
msgstr ""

#: admin/bottle-admin-utils.php:481
msgid "URL"
msgstr ""

#: admin/bottle-admin-utils.php:484
msgid "Authenticated"
msgstr ""

#: admin/bottle-admin-utils.php:487
msgid "Per IP"
msgstr ""

#: admin/bottle-admin-utils.php:490
msgid "Request Rate"
msgstr ""

#: admin/bottle-admin-utils.php:493
msgid "Overall"
msgstr ""

#: admin/bottle-admin-utils.php:496
msgid "Rate Per IP"
msgstr ""

#: admin/bottle-admin-utils.php:499
msgid "Static 404"
msgstr ""

#: admin/bottle-admin-utils.php:509
#: admin/ui-settings.php:532
msgid "disabled"
msgstr ""

#: admin/bottle-admin-utils.php:512
#: admin/ui-settings.php:536
msgid "skipped"
msgstr ""

#: admin/bottle-admin-utils.php:515
#: admin/ui-settings.php:535
msgid "throttle"
msgstr ""

#: admin/bottle-admin-utils.php:518
msgid "block"
msgstr ""

#: admin/bottle-admin-utils.php:521
#: admin/ui-settings.php:534
msgid "exclude"
msgstr ""

#: admin/bottle-admin-utils.php:524
#: admin/ui-settings.php:533
msgid "pass"
msgstr ""

#: admin/class-settings.php:17
msgid "Session IP Throttle"
msgstr ""

#: admin/class-settings.php:18
msgid "Many bots don't handle cookies, so measuring session creation per IP can be an effective way to identify abusive IPs. This setting measures how many sessions are created per IP address. When too many sessions are created too quickly (within the measurement time window), it can indicate a bot. Note that legitimate NAT users can get mistakenly throttled."
msgstr ""

#: admin/class-settings.php:20
#: admin/class-settings.php:29
#: admin/class-settings.php:39
#: admin/class-settings.php:48
#: admin/class-settings.php:58
#: admin/class-settings.php:68
#: admin/class-settings.php:78
#: admin/ui-settings.php:374
msgid "Enabled"
msgstr ""

#: admin/class-settings.php:21
msgid "Sessions per IP"
msgstr ""

#: admin/class-settings.php:22
#: admin/class-settings.php:32
#: admin/class-settings.php:41
#: admin/class-settings.php:51
#: admin/class-settings.php:60
msgid "Measurement time (seconds)"
msgstr ""

#: admin/class-settings.php:26
msgid "Session Rate Throttle"
msgstr ""

#: admin/class-settings.php:27
msgid "Calculates a page request rate per second per session and provides a throttle rate limiter. For bots that don't process cookies, this throttle is ineffective. It is more useful for abusive users."
msgstr ""

#: admin/class-settings.php:30
msgid "Public session request rate (per second)"
msgstr ""

#: admin/class-settings.php:31
msgid "User session request rate (per second)"
msgstr ""

#: admin/class-settings.php:36
msgid "Request Rate per IP"
msgstr ""

#: admin/class-settings.php:37
msgid "Calculates a page request rate per second per IP address and provides a throttle rate limiter. This should be layered with the session rate throttle. For bots that don't process cookies, this is a backup throttle. Set this a high value so that legitimate NAT clients are not mistakenly throttled."
msgstr ""

#: admin/class-settings.php:40
msgid "Rate per IP (req / second)"
msgstr ""

#: admin/class-settings.php:45
msgid "Overall Page Matching Throttle"
msgstr ""

#: admin/class-settings.php:46
msgid "Measures a page request rate for a matching URL. This setting is effective when a particular section of a large website (identifable by URL structure) is being scraped by a bot network with rotating IPs. All requests to matching URLs are blocked for all users when this throttle is in effect. We recommend using the Proof-of-Work setting to allow legitimate users to pass."
msgstr ""

#: admin/class-settings.php:49
msgid "Overall matching URLs (separated by |)"
msgstr ""

#: admin/class-settings.php:50
msgid "Matching requests count"
msgstr ""

#: admin/class-settings.php:55
msgid "404s"
msgstr ""

#: admin/class-settings.php:56
msgid "404s of static files can be time-consuming for WordPress to process. This setting blocks IPs of clients that make too many requests for non-existent static resources, and throttles IPs of clients that make too many 404 page requests. This can be restricted to matching URLs only if the \"URLs for matching\" setting is specified; otherwise, leave the setting blank for this to apply to all 404s."
msgstr ""

#: admin/class-settings.php:59
msgid "404 requests per IP"
msgstr ""

#: admin/class-settings.php:61
msgid "URLs for matching (separated by |)"
msgstr ""

#: admin/class-settings.php:66
msgid "Exclusions to prevent false positives or other problems."
msgstr ""

#: admin/class-settings.php:69
msgid "Exclude URLs (begins with; separated by |)"
msgstr ""

#: admin/class-settings.php:70
msgid "Exclude URLs (contains; separated by |)"
msgstr ""

#: admin/class-settings.php:71
msgid "Exclude matching IP addresses (separated by |)"
msgstr ""

#: admin/class-settings.php:75
msgid "Proof-of-Work"
msgstr ""

#: admin/class-settings.php:76
msgid "A JavaScript-based proof-of-work. When a session or IP hits a throttle condition, Bottle displays a page with a JavaScript proof-of-work process. It will take several seconds for the browser to run the hash functions to solve the puzzle, and the client then stores the solution in a cookie that can be verified by the server. The length of random data string dictates the difficulty of the puzzle, and thus, the amount of delay encountered by visitors to solve the puzzle."
msgstr ""

#: admin/class-settings.php:79
msgid "Proof-of-work solution expiration time (seconds)"
msgstr ""

#: admin/class-settings.php:80
msgid "Proof-of-work data timeout (seconds)"
msgstr ""

#: admin/class-settings.php:81
msgid "Length of random data string."
msgstr ""

#: admin/class-settings.php:85
msgid "Logging"
msgstr ""

#: admin/class-settings.php:86
msgid "Logging settings. \"Throttle Logging Enabled\" is recommended, as this logs all throttle-related actions. Note that the \"Request Logging Enabled\" will log all requests to WordPress. It's useful for initial configuration and debugging, but you should leave this off for maximum performance."
msgstr ""

#: admin/class-settings.php:88
msgid "Throttle Logging Enabled (recommended)"
msgstr ""

#: admin/class-settings.php:89
msgid "Request Logging Enabled. Leave disabled after setup."
msgstr ""

#: admin/class-settings.php:90
msgid "Logging path. Leave blank for default path."
msgstr ""

#: admin/class-settings.php:91
msgid "Number of days to keep log files."
msgstr ""

#: admin/class-settings.php:92
msgid "Debug Logging Enabled"
msgstr ""

#: admin/class-settings.php:173
msgid "Access Website"
msgstr ""

#: admin/class-settings.php:174
msgid "Status"
msgstr ""

#: admin/class-settings.php:175
msgid "Pending"
msgstr ""

#: admin/class-settings.php:176
msgid "Confirming your humanity..."
msgstr ""

#: admin/class-settings.php:177
msgid "Done!"
msgstr ""

#: admin/class-settings.php:178
msgid "Continue"
msgstr ""

#: admin/class-settings.php:179
msgid "An error occurred"
msgstr ""

#: admin/class-settings.php:180
msgid "Throttled, please try again in a few minutes"
msgstr ""

#: admin/ui-list-tables.php:20
#: admin/ui-list-tables.php:21
msgid "Bottle List"
msgstr ""

#: admin/ui-list-tables.php:27
msgid "No items"
msgstr ""

#. translators: number of items displayed in list
#: admin/ui-list-tables.php:109
msgid "%s item"
msgid_plural "%s items"
msgstr[0] ""
msgstr[1] ""

#: admin/ui-list-tables.php:126
#: admin/ui-list-tables.php:153
msgid "Time"
msgstr ""

#: admin/ui-list-tables.php:128
#: admin/ui-list-tables.php:155
msgid "Action"
msgstr ""

#: admin/ui-list-tables.php:129
#: admin/ui-list-tables.php:156
#: admin/ui-list-tables.php:177
msgid "Path"
msgstr ""

#: admin/ui-list-tables.php:131
msgid "Session"
msgstr ""

#: admin/ui-list-tables.php:132
msgid "Request"
msgstr ""

#: admin/ui-list-tables.php:176
#: admin/ui-list-tables.php:205
msgid "Count"
msgstr ""

#: admin/ui-settings.php:40
#: admin/ui-settings.php:337
msgid "Bottle Settings"
msgstr ""

#: admin/ui-settings.php:308
#: bottle.php:142
msgid "Settings"
msgstr ""

#: admin/ui-settings.php:312
#: admin/ui-settings.php:521
msgid "Requests"
msgstr ""

#: admin/ui-settings.php:317
msgid "Metrics"
msgstr ""

#: admin/ui-settings.php:320
msgid "Log"
msgstr ""

#: admin/ui-settings.php:323
#: admin/ui-settings.php:581
msgid "Paths"
msgstr ""

#: admin/ui-settings.php:326
#: admin/ui-settings.php:596
msgid "IPs"
msgstr ""

#: admin/ui-settings.php:330
msgid "Docs"
msgstr ""

#: admin/ui-settings.php:342
msgid "Bottle is a bot throttle that can help protect WordPress sites from attacks. Bottle uses a JWT-based session as one measure of bot activity, and uses cache/transients to track other activity. When a persistent object cache is available, Bottle will use its wp_cache_incr method. Otherwise, Bottle will fall back to use get_transient and set_transient functions, which reduces its performance. Bottle is not a firewall and will not block or sanitize malicious attacks. However, since such attacks are typically performed in large quantities, Bottle can be effective at slowing them. All Bottle throttles are temporary and are released after their respective measurement time windows."
msgstr ""

#: admin/ui-settings.php:354
msgid "Latest Activity:"
msgstr ""

#: admin/ui-settings.php:355
msgid "Rate:"
msgstr ""

#: admin/ui-settings.php:356
msgid "Current Time"
msgstr ""

#: admin/ui-settings.php:364
msgid "Client IP Address:"
msgstr ""

#: admin/ui-settings.php:366
msgid "The client IP address is displayed to make sure Bottle can appropriately perform its measurement on the correct IP. When a website is configured behind a proxy, Bottle relies on both REMOTE_ADDR and HTTP_X_FORWARDED_FOR to identify a connecting client's IP address. If this IP address is blank or incorrect, do not enable Bottle, and please review your site's configuration. Bottle does not rely solely on HTTP_X_FORWARDED_FOR because it can be easily spoofed."
msgstr ""

#: admin/ui-settings.php:371
msgid "Object Cache:"
msgstr ""

#: admin/ui-settings.php:378
msgid "Disabled"
msgstr ""

#: admin/ui-settings.php:381
msgid "Important: an object cache such as Redis is recommended for performance."
msgstr ""

#: admin/ui-settings.php:402
msgid "To use Bottle in a varnish cache configuration, adjustments must be made to the vcl to pass the bottle cookies to and from the backend without impacting the hash algorithm so that varnish will continue to cache static pages. Without implementing this, every static page request made to a varnish-cached site will break through the cache due to the set-cookie being performed on each response. While this provides the throttling benefits of Bottle, it negates the benefits of using varnish. With this adjustment, we allow varnish to take on all traffic, and only requests for non-cached pages will head to the backend and will filter through Bottle. This is useful in a situation where a large volume of 404 requests are being made, or when a site has a very large number of uncached pages."
msgstr ""

#: admin/ui-settings.php:525
msgid "This is a live view of all requests to WordPress. Its purpose is to help you to configure Bottle's throttle settings. Once configured, please disable the \"Request Logging Enabled\" setting, as this feature writes each request to a log file. Each of the tests under Exclude, Session, and Request correspond to settings. Each can be enabled or disabled."
msgstr ""

#: admin/ui-settings.php:532
msgid "indicates that a test has been disabled in settings"
msgstr ""

#: admin/ui-settings.php:533
msgid "indicates that the test has run and Bottle is measuring the request, but it hasn't triggered a threshold that would cause throttling"
msgstr ""

#: admin/ui-settings.php:534
msgid "indicates that the request matches exclusion criteria and Bottle did not process it"
msgstr ""

#: admin/ui-settings.php:535
msgid "indicates that the request exceeded the throttle criteria for a test"
msgstr ""

#: admin/ui-settings.php:536
msgid "indicates that the test was skipped due to a prior test being triggered (either exclude or throttle)"
msgstr ""

#: admin/ui-settings.php:537
msgid "solved"
msgstr ""

#: admin/ui-settings.php:537
msgid "verified"
msgstr ""

#: admin/ui-settings.php:537
msgid "indicates that the proof-of-work (PoW) has been solved (or verified from the user's session), allowing the request to pass through without throttling or measurement"
msgstr ""

#: admin/ui-settings.php:549
msgid "Throttle Metrics"
msgstr ""

#: admin/ui-settings.php:553
msgid "This is a heatmap showing the throttle actions performed by Bottle, grouped hourly."
msgstr ""

#: admin/ui-settings.php:564
msgid "Throttle Log"
msgstr ""

#: admin/ui-settings.php:568
msgid "This is a live view of all throttle-related actions taken by Bottle. It is not a view of all requests. An all requests view can be enabled for configuration/debugging purposes by enabling \"Request Logging Enabled.\" The actions logged here are Throttle or proof-of-work (PoW), if enabled."
msgstr ""

#: admin/ui-settings.php:585
msgid "This is a live view of all throttled paths (last 1000 throttle log entries)."
msgstr ""

#: admin/ui-settings.php:600
msgid "This is a live view of all throttled IPs (last 1000 throttle log entries)."
msgstr ""

#: admin/ui-settings.php:637
msgid "Not numeric"
msgstr ""

#: admin/ui-settings.php:659
msgid "Error: please specify a path outside of wp-content directory"
msgstr ""

#: admin/ui-settings.php:674
msgid "Path error"
msgstr ""

#: admin/ui-settings.php:741
msgid "Default"
msgstr ""

#: admin/ui-settings.php:794
msgid "Error writing Bottle settings file; mu-plugin will not function"
msgstr ""

#. translators: number of total throttle actions logged. Example: 12 throttle actions.
#: admin/ui-settings.php:856
msgid "%s throttle actions"
msgstr ""

#. translators: number of throttled requests per second. Example: 12 throttle requests/second.
#: admin/ui-settings.php:859
msgid "%s throttle requests/second"
msgstr ""

#. translators: hour or hours elapsed
#: admin/ui-settings.php:864
msgid "%s hour"
msgid_plural "%s hours"
msgstr[0] ""
msgstr[1] ""

#. translators: minute or minutes elapsed
#: admin/ui-settings.php:866
msgid "%s minute"
msgid_plural "%s minutes"
msgstr[0] ""
msgstr[1] ""

#. translators: second or seconds elapsed
#: admin/ui-settings.php:868
msgid "%s second"
msgid_plural "%s seconds"
msgstr[0] ""
msgstr[1] ""

#. translators: 1: last number of throttle actions recorded over a timeframe, 2: timeframe, 3: start date, 4: end date
#: admin/ui-settings.php:872
msgid "Last %1$s throttle actions over %2$s (%3$s - %4$s)"
msgstr ""

#. translators: number of requests displayed in a list
#: admin/ui-settings.php:882
msgid "%s request"
msgid_plural "%s requests"
msgstr[0] ""
msgstr[1] ""

#: bottle.php:151
msgid "Support"
msgstr ""

#: bottle.php:152
msgid "Write a review"
msgstr ""
